The GET /listStatuses? endpoint provides pagination so that you can move through your list of order events. The pagination for this endpoint works by assigning unique previous and next identifiers in the response, for a count of more than 10 events.
To retrieve these ids make a call to get a list of more than 10 events. The next id and prev id can be found in the links object at the end of the response.
Note that the current implementation of the Pull API returns the pagination links for next.href and prev.href in the format of the previously configured endpoint i.e /TrackingService/OrderStatusList?:

In this case, you can manually re-build the pagination by copying all the details in the before and after variables and pasting it after the new Pull API endpoint in the query:

In the example above the next ID is saved in the variable after. You can copy, paste or even save the data like so: after=6274c64b-667c-46f9-82e2-1dea5d006fa0 in the variable {{next}} in the GET /listStatuses? endpoint to call the next page of your events.
To call the previous page repeat this process by copying and using the value in the prev.href object stored in the variable before. You can save the value in a variable called {{prev}}.
Note that a call of <10 events will not result in any pagination identifiers and therefore the links object will return empty. We recommend using 50 events per page.
